{ pkgs, ... }:

{

  imports = [
    ../../configuration/gpg-ssh
  ];
  programs.gnupg.agent = {
    pinentryPackage = pkgs.pinentry-gtk2;
  };

  # Do not disable ssh-agent of gnome-keyring, because
  # gnupg ssh-agent can't handle normal SSH keys properly
  /*
  # Disable ssh-agent of gnome-keyring
  nixpkgs.overlays = [
    (final: prev: {
      gnome = prev.gnome // {
        gnome-keyring = prev.runCommand "gnome-keyring-ssh-disabled-autostart" {} ''
          mkdir -p $out

          # Symlink all gnome-keyring binaries
          ${final.xorg.lndir}/bin/lndir -silent ${prev.gnome.gnome-keyring} $out

          # Disable autostart for ssh
          rm $out/etc/xdg/autostart/gnome-keyring-ssh.desktop
          cat ${prev.gnome.gnome-keyring}/etc/xdg/autostart/gnome-keyring-ssh.desktop > $out/etc/xdg/autostart/gnome-keyring-ssh.desktop
          echo "Hidden=true" >> $out/etc/xdg/autostart/gnome-keyring-ssh.desktop
        '';
      };
    })
  ];
  */
}
