inputs:

let

  callLibs = file: import file ({
    inherit lib inputs;
  } // inputs);

  lib = {
    flake-helper = callLibs ./flake-helper.nix;
    inherit ("flake-helper")
      generateNixosSystem
      mapToNixosConfigurations
      generateColmenaHost
      mapToColmenaHosts
      buildHosts;
    clerie-monitoring-ids = callLibs ./clerie-monitoring-ids.nix;
  };

in
  lib
